GNU bug report logs - #24394
25.1.50; (find-file "/sudo::") ignores async-shell-command-buffer settings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tino Calancha <tino.calancha@HIDDEN>; dated Thu, 8 Sep 2016 14:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24394 <at> debbugs.gnu.org:


Received: (at 24394) by debbugs.gnu.org; 11 Sep 2016 10:10:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 06:10:26 2016
Received: from localhost ([127.0.0.1]:55922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bj1iU-00076g-Np
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:10:26 -0400
Received: from mout.gmx.net ([212.227.15.18]:51857)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1bj1iT-00076T-NK
 for 24394 <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:10:26 -0400
Received: from detlef.gmx.de ([79.195.4.70]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0MWk3f-1bYLZ20f3T-00XvsI; Sun, 11 Sep 2016 12:10:19
 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#24394: 25.1.50;
 (find-file "/sudo::") ignores async-shell-command-buffer settings
References: <alpine.DEB.2.20.1609082336320.3930@calancha-pc>
Date: Sun, 11 Sep 2016 12:10:17 +0200
Message-ID: <87y42ysq5y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:cyXYtT40bzKRdVU38mCTOAWthEHtZCNdGm1mfxspJwIKVUUHwgX
 QPSS0QmS5eEMMuSoCIz9yKiRH/QagUbE4w6mooqAWoSd5RZEQ8x86d4s6dfRkJeI75akP4i
 HUDt0f4IA58Tty5wAC5T3LpccyunW8ekav8I+7POzsI4xwCaL8OWKVeHjxZGPZMuePFBVAo
 sZG5KbPj8EbC/pXQ9Oiww==
X-UI-Out-Filterresults: notjunk:1;V01:K0:h09vWCQhzZs=:WKdBCI9IeTWd69N1b8QbuN
 Iv6NCDnai5VkNrx8aPq01bVzIHdg+DFNjA7dFeaBXEqZBoMePCi55z6twG+UatsAfnJvZLXSx
 1EJrXfuuQg9ij+/LyDIrHdo1kpFv+VZ9dHa0OLLvV7xkZXDSNddK8VedDtTehtZU0T9Z3R/9X
 UiVVQw4SW98spKOZ91qFRVoMDwjoaQAA1H5RzwJDMbs5yKGiqhISIdRdvg+ZI4w3qNGkpDz6U
 z8PQJIvsuO6eehwr4kSxCrcAYGFFz/4i8N9F+953d8gD3iqr/Mzm4pYdfezR6YM9julBYSrP0
 tLKkR9AKt0Jlv/urOvJR2JvuE7Y8R6VlMfq4itqHG+s2BkQk/+j3O8uovImvzy0xLSCbdm+v/
 +47StYrCJmJIYGurfsNVRS+aL6htfdqB8MfrZoxB7HPEbkGemTQ5MCJxvnyec6liy9T8yaZt/
 XGk1q/yG6m6rVXCksuHl8/BoCeNkn75+iiKY6qnb1UBJZc7HVBfUad/4jd+cCBqV/Z1fWn6dS
 5DaMnEtZRtN+cutU5ikoyjLu1VBjGPEGSFlOEJfQR6K0nmY0MSwpCReEohuBl5v8uRiy+8vWA
 FgzY1klDviyYjHVTkTk5OQQNGlnHNtw3uXCzRUEDAQYuD6sMfqzWOsauBXLvjSLeNJkcDZfNV
 JVzhLcbdeWXvon0YD09PQl+hdP53kW6NZUeP0qt8MeFOcM5AOfSTD3xP0DpqrfzAWDtAoIL1x
 Xb1C8723oyE06VkyzKHoNGEzcCePPH4aU4UfUGRRvUVX4E50sZ5GNG9vggkSu+KHF9LfNfaXp
 hWl/Xfi
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Tino Calancha writes: Hi Tino,
 > emacs -Q -eval "(setq async-shell-command-buffer
 'new-buffer)" > > I) M-&: i=0; while true; do echo $i; i=$((i+1)); sleep
 1;done RET > ;; Repeating the command will not prompt for confirmation > II)
 M-&: M-p RET ; create buffer "*Async Shell Command*<2>". > III) M-:(let ((dir
 (expand-file-name default-directory))) > (find-file (concat "/sudo::") dir))
 RET > IV) M-&: M-p RET > ;; Received prompt to kill buffer "*Async Shell
 Command*". > > In IV) the machine is the same as before and the original user
 > still is the owner of the Emacs session: i would expect IV) create > the
 buffer "*Async Shell Command*<3>" without any prompt. > Even if i set
 `async-shell-command-buffer'
 to 'new-buffer in > /root/.emacs i receive the prompt. [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.15.18 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (michael.albinus[at]gmx.de)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.18 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 24394
Cc: 24394 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tino Calancha writes: Hi Tino, > emacs -Q -eval "(setq async-shell-command-buffer
    'new-buffer)" > > I) M-&: i=0; while true; do echo $i; i=$((i+1)); sleep
   1;done RET > ;; Repeating the command will not prompt for confirmation > II)
    M-&: M-p RET ; create buffer "*Async Shell Command*<2>". > III) M-:(let ((dir
    (expand-file-name default-directory))) > (find-file (concat "/sudo::") dir))
    RET > IV) M-&: M-p RET > ;; Received prompt to kill buffer "*Async Shell
   Command*". > > In IV) the machine is the same as before and the original user
    > still is the owner of the Emacs session: i would expect IV) create > the
    buffer "*Async Shell Command*<3>" without any prompt. > Even if i set `async-shell-command-buffer'
    to 'new-buffer in > /root/.emacs i receive the prompt. [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.15.18 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.18 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (michael.albinus[at]gmx.de)

Tino Calancha <tino.calancha@HIDDEN> writes:

Hi Tino,

> emacs -Q -eval "(setq async-shell-command-buffer 'new-buffer)"
>
> I) M-&: i=0; while true; do echo $i; i=$((i+1)); sleep 1;done RET
> ;; Repeating the command will not prompt for confirmation
> II) M-&: M-p RET ; create buffer "*Async Shell Command*<2>".
> III) M-:(let ((dir (expand-file-name default-directory)))
>           (find-file (concat "/sudo::") dir)) RET
> IV) M-&: M-p RET
> ;; Received prompt to kill buffer "*Async Shell Command*".
>
> In IV) the machine is the same as before and the original user
> still is the owner of the Emacs session: i would expect IV) create
> the buffer "*Async Shell Command*<3>" without any prompt.
> Even if i set `async-shell-command-buffer' to 'new-buffer in
> /root/.emacs i receive the prompt.

You are right, Tramp's handler for `shell-command' ignores
`async-shell-command-buffer'. The reason for this is the following
comment in `tramp-handle-shell-command':

--8<---------------cut here---------------start------------->8---
    ;; Check whether there is another process running.  Tramp does not
    ;; support 2 (asynchronous) processes in parallel.
--8<---------------cut here---------------end--------------->8---

Well, this comment is more than 8 years old, and it is not true anymore
(I've just tested). I don't remember when this was fixed, but so what ...

However, I'm kind of reluctant to fix this in
`tramp-handle-shell-command'. The respective code in `shell-command'
spans over ~40 lines, and I don't believe Tramp shall simply copy those
lines (and other details not handled in Tramp yet). It's even
questionable that Tramp shall offer an own handler for `shell-command'.

The reason why Tramp does this is the use of `shell-file-name' and
`shell-command-switch'. They keep host local values, for remote
connections other values are needed. It is a long standing request, that
Tramp shall offer connection local variables, which carry different
values for different remote hosts. If we would have such a mechanism,
`shell-command' could use `process-file' and `start-file-process', and it
would not need to call a file name handler anymore.

And this error would go away.

Comments?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24394; Package emacs. Full text available.

Message received at 24394 <at> debbugs.gnu.org:


Received: (at 24394) by debbugs.gnu.org; 8 Sep 2016 15:54:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 11:54:54 2016
Received: from localhost ([127.0.0.1]:53785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bi1fC-0006Cj-H2
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 11:54:54 -0400
Received: from mail-pf0-f179.google.com ([209.85.192.179]:33453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1bi1fA-0006CT-Kd
 for 24394 <at> debbugs.gnu.org; Thu, 08 Sep 2016 11:54:52 -0400
Received: by mail-pf0-f179.google.com with SMTP id g202so19523786pfb.0
 for <24394 <at> debbugs.gnu.org>; Thu, 08 Sep 2016 08:54:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:date:to:cc:subject:in-reply-to:message-id:references
 :user-agent:mime-version;
 bh=UqeM01jrZA58+AGtrS7N9wD2FXxyIO7v26uYazl3R6c=;
 b=0AtfaSrS6mLah0lBXF4/MmkpDgynAyOr+R9Axo5a2KjPnfby250CYJJv881+IDFcr7
 nG7zDV1fhlVzPfOawlAD79bBGwr4pWmwEeYHONtfK9N7GVnk15hOT3r13+Unr1jv8Ole
 ypOBzWIwOREQMnqzQio1IYc94DEOrTmFvTeKlRdvPkMoiCWUjuBPk11IDDYthnf7Qwyq
 D2XMAlCEjbV0PLZKylWPOxBN5s22avosZnHblNKhDAxmMXwTKWFZ2bNiSSXJtUXBB6gH
 YI5qgd2otEzKRtB9exE2MiHIR36WcsdkY+QvAk15cxyPSBOyAiopS0wRSEl/0eGlR+K4
 v6Og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:date:to:cc:subject:in-reply-to:message-id
 :references:user-agent:mime-version;
 bh=UqeM01jrZA58+AGtrS7N9wD2FXxyIO7v26uYazl3R6c=;
 b=dcR0Wah8D7f4ChxAVjw8bTUUPJsfagAq1mB7aXAYRcLlpRQH1fnw79JxubdLZbXwnJ
 PU417QUtqm2dG50XrmtGfZg1dGSSZipOWzex9l8z5fn1sEuo4RHXMd+B6qXpzOsSiHWL
 LTprIigNNU2/TbXLIA57vYpsEQR8H3CrRe8iVp8rZvSqWMplv5A/8vU1l6o1zDLyq/L8
 LLDmPUX2g/YI6h7w8QQc0i2qopD+1QgrknxPrnHoKQvPsuN5W1doInVEzTZ0pv4Z3qwX
 h5hgcsvRQjfIax5+XCLoiUzRVrW/OBTR4ob/+T6aDwI24mVZpR4P1dc1rK2HZmgJ1/EC
 dbdA==
X-Gm-Message-State: AE9vXwMXNpHHpDpugg5brgYCBUQgM3zyWH2wyfqMiJN5jK+BhGoNM6RpqKO2UL6klINDfQ==
X-Received: by 10.98.97.7 with SMTP id v7mr564272pfb.49.1473350086678;
 Thu, 08 Sep 2016 08:54:46 -0700 (PDT)
Received: from calancha-pc (57.92.100.220.dy.bbexcite.jp. [220.100.92.57])
 by smtp.gmail.com with ESMTPSA id xx7sm57485522pac.3.2016.09.08.08.54.45
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 08 Sep 2016 08:54:46 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
X-Google-Original-From: Tino Calancha <calancha@HIDDEN>
Date: Fri, 9 Sep 2016 00:54:43 +0900 (JST)
X-X-Sender: calancha@calancha-pc
To: 24394 <at> debbugs.gnu.org
Subject: Re: 25.1.50; (find-file "/sudo::") ignores async-shell-command-buffer
 settings
In-Reply-To: <alpine.DEB.2.20.1609082336320.3930@calancha-pc>
Message-ID: <alpine.DEB.2.20.1609090052480.17737@calancha-pc>
References: <alpine.DEB.2.20.1609082336320.3930@calancha-pc>
User-Agent: Alpine 2.20 (DEB 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24394
Cc: tino.calancha@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)



On Thu, 8 Sep 2016, Tino Calancha wrote:

> III) M-:(let ((dir (expand-file-name default-directory)))
>          (find-file (concat "/sudo::") dir)) RET
There is a typo: It should read as follows:
III) M-:(let ((dir (expand-file-name default-directory)))
           (find-file (concat "/sudo::" dir))) RET





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24394; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2016 14:39:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 10:39:44 2016
Received: from localhost ([127.0.0.1]:53744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bi0US-0004P0-OA
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 10:39:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1bi0UQ-0004Oj-LX
 for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 10:39:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tino.calancha@HIDDEN>) id 1bi0UK-0005pK-H8
 for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 10:39:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39726)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tino.calancha@HIDDEN>) id 1bi0UK-0005p1-Dc
 for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 10:39:36 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33625)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tino.calancha@HIDDEN>) id 1bi0UI-0003ZY-4m
 for bug-gnu-emacs@HIDDEN; Thu, 08 Sep 2016 10:39:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tino.calancha@HIDDEN>) id 1bi0UD-0005oG-Mr
 for bug-gnu-emacs@HIDDEN; Thu, 08 Sep 2016 10:39:33 -0400
Received: from mail-pa0-x22a.google.com ([2607:f8b0:400e:c03::22a]:36195)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tino.calancha@HIDDEN>) id 1bi0UD-0005ni-Ex
 for bug-gnu-emacs@HIDDEN; Thu, 08 Sep 2016 10:39:29 -0400
Received: by mail-pa0-x22a.google.com with SMTP id id6so18016941pad.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 08 Sep 2016 07:39:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:date:to:subject:message-id:user-agent:mime-version;
 bh=OVkxee/ACQmtLEabRku43jU1c2wjIPJxaoWcX23nyz8=;
 b=ZMZ5ewkYtIo1Oneij1woRXdxHNiXDfN+G8DNSv8mOlIJncZmUyeGNVuWDcXCUqYQ+v
 2Etq7s+j0YZypqV4zWAZVdpUlTViMjpic0N813lAKLoLbbILFxEBsEvhrW8DUBk+zxEo
 F5srKA8NZKbsuQyQoUoZYKZVL3Lka/SEaaSNh8mngy6sj/5XYUVcHp0aLn67xAbWJfKJ
 LATDa5A08/gowE0LPc/iYn0jszki5iR/G/2ItgdBQcNLObquc4cUZJgyBmxg0sANmgHZ
 OBaMeZm5LksFHk3riTGFJ/g4pG7m2EfAibKDI+JXhikXAAh19RHq5JlJp83GeXuSefMo
 rAIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:date:to:subject:message-id:user-agent
 :mime-version;
 bh=OVkxee/ACQmtLEabRku43jU1c2wjIPJxaoWcX23nyz8=;
 b=RXY1NDIl7yp14zZKZtNfKb69bRtmLzQ96aU6vLRMQDfigF++kuVJJ94ArLM+8zTacV
 AcUNdRw4uZaRn932NAK03r2u8tj7PgPmA/zWIl2B62VI5htn9JOADE1zFId9OIzZHHQp
 JaaG1gVpr6g/yCphtNAgvR9Q2HkBYmU4gJAgZjU+1TLDjLNWIik6H9llYnygFMR9Alig
 CZ1c9EYsGdWovR4DD7p0eZXpMJYuaEm88gvpkCek+Dqk/Lh1gVN5ar2tXNBb60enhAJB
 oiJZtq0xDkAFOa8OO5Buqm3oSATo8T/4uKFRkj16AXC1Szi0gzsNvm9ZQ3V/kM+wLIQj
 AILg==
X-Gm-Message-State: AE9vXwM/KlGg/AKz7/smE+donMC9a9Dkt45LUYqvqxXP2XuygDri/PTQiFpESQ8ilYx26g==
X-Received: by 10.66.217.170 with SMTP id oz10mr92278207pac.61.1473345567384; 
 Thu, 08 Sep 2016 07:39:27 -0700 (PDT)
Received: from calancha-pc (57.92.100.220.dy.bbexcite.jp. [220.100.92.57])
 by smtp.gmail.com with ESMTPSA id m65sm56853037pfg.79.2016.09.08.07.39.26
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 08 Sep 2016 07:39:26 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
X-Google-Original-From: Tino Calancha <calancha@HIDDEN>
Date: Thu, 8 Sep 2016 23:39:24 +0900 (JST)
X-X-Sender: calancha@calancha-pc
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; (find-file "/sudo::") ignores async-shell-command-buffer
 settings
Message-ID: <alpine.DEB.2.20.1609082336320.3930@calancha-pc>
User-Agent: Alpine 2.20 (DEB 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


emacs -Q -eval "(setq async-shell-command-buffer 'new-buffer)"

I) M-&: i=0; while true; do echo $i; i=$((i+1)); sleep 1;done RET
;; Repeating the command will not prompt for confirmation
II) M-&: M-p RET ; create buffer "*Async Shell Command*<2>".
III) M-:(let ((dir (expand-file-name default-directory)))
           (find-file (concat "/sudo::") dir)) RET
IV) M-&: M-p RET
;; Received prompt to kill buffer "*Async Shell Command*".

In IV) the machine is the same as before and the original user
still is the owner of the Emacs session: i would expect IV) create
the buffer "*Async Shell Command*<3>" without any prompt.
Even if i set `async-shell-command-buffer' to 'new-buffer in
/root/.emacs i receive the prompt.


In GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.21.5)
  of 2016-09-08
Repository revision: ba5d32398ba42fcf14ad5242d95c68133981744f





Acknowledgement sent to Tino Calancha <tino.calancha@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24394; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 11 Sep 2016 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.